#include <LedControl.h> 

const int pinDIN = 10; 
const int pinCLK = 12;
const int pinCS = 11; 
 
LedControl lc=LedControl(pinDIN, pinCLK, pinCS, 1);
int displ = 0;

void setup()
{
  lc.shutdown(displ, false);
  lc.setIntensity(displ, 8);
  lc.clearDisplay( displ );
}

void loop()
{
  for (int row=0; row<8; row++) {
    for (int col=0; col<8; col++) {
      lc.setLed(displ,col,row,true); 
      delay(25);
    }
  }
 
  for (int row=0; row<8; row++) {
    for (int col=0; col<8; col++) {
      lc.setLed(displ,col,row,false);
      delay(25);
    }
  }
}
